Bug 1564467 - [Doc] - RHEL Installation guide - information on configuring lvm based OSD needs to be added
Summary: [Doc] - RHEL Installation guide - information on configuring lvm based OSD ne...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation
Version: 3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: z2
: 3.0
Assignee: Aron Gunn
QA Contact: Vasishta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 11:16 UTC by Vasishta
Modified: 2019-08-26 06:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-26 06:55:23 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Vasishta 2018-04-06 11:16:32 UTC
Description of problem:

As ceph-ansible supports configuring OSDs using lvms, we need to provide information in "Table 3.2. OSD Ansible Settings" of step 5.ii in installation guide of RHEL.

Following section from osds.yml can be referred -

# III. Use ceph-volume to create OSDs from logical volumes.
# Use 'osd_scenario: lvm' to enable this scenario. Currently we only support dedicated journals
# when using lvm, not collocated journals.
# lvm_volumes is a list of dictionaries. Each dictionary must contain a data, journal and vg_name
# key. Any logical volume or logical group used must be a name and not a path.
# data must be a logical volume
# journal can be either a lv, device or partition. You can not use the same journal for many data lvs.
# data_vg must be the volume group name of the data lv
# journal_vg is optional and must be the volume group name of the journal lv, if applicable
# For example:
# lvm_volumes:
#   - data: data-lv1
#     data_vg: vg1
#     journal: journal-lv1
#     journal_vg: vg2
#   - data: data-lv2
#     journal: /dev/sda
#     data_vg: vg1
#   - data: data-lv3
#     journal: /dev/sdb1
#     data_vg: vg2

Comment 4 Vasishta 2018-04-13 07:33:51 UTC
Hi Aron,

Doc looks good.

Can you please add a Note under the step 5.ii (or 5.b)saying -

"Currently ceph-ansible doesn't create LV, user must create LVs"

Regards,
Vasishta Shatsry
AQE, Ceph

Comment 6 Vasishta 2018-04-16 06:06:50 UTC
Hi Aron,

Thanks for the changes.

Moving BZ to VERIFIED state.

Regards,
Vasishta Shastry
AQE, Ceph


Note You need to log in before you can comment on or make changes to this bug.